Page MenuHomePhabricator

elements in the "in other languages" table lack relevant lang and dir attributes
Closed, ResolvedPublic

Description

A useful feature introduced several weeks shows a table of item titles and descriptions in the user's languages above the sitelinks and the statements and allows editing them.

There's a problem with it: It lacks relevant lang and dir attributes. They must be applied to:

  • Every language name link, such as <a href="?setlang=vep">vepsän kel’</a>. It's OK to apply it to the <a> element - it doesn't have to be applied to the whole <td>. So it must be: <a href="?setlang=vep" lang="vep" dir="ltr">vepsän kel’</a>. (Consider also hreflang.)
  • Every item label <td>: wb-terms-label
  • Every item description <td>: wb-terms-description
  • Every <input> box for labels and description: wb-ui-propertyedittool-editablevalueinterface. Currently it explicitly has lang and dir of the user interface language. It must have the lang and the dir of the row's language. (Consider also loading the message for the placeholder text in that language; currently it's all in the same language.)

Version: unspecified
Severity: normal
Whiteboard: termsearch

Details

Reference
bz46736

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:31 AM
bzimport set Reference to bz46736.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Mar 31 2013, 7:48 AM
aude added a comment.Oct 15 2014, 12:42 PM

Most of these are fixed now, but we still need dir="rtl" or dir="ltr" in
<div class="wikibase-labelview-container">

the content within here is mixed:

<div class="wikibase-labelview-container">
<span class="wikibase-labelview-text" dir="auto">الصرخة (لوحة)</span>
<span class="wikibase-labelview-entityid"></span>
<!-- wikibase-toolbar -->
</div>

so, dir=auto does not work here. Currently, the label is aligned to the left while dir=auto works for the description so that is aligned to the right.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Amire80 renamed this task from elements in the in other languages table lack relevant lang and dir attributes to elements in the "in other languages" table lack relevant lang and dir attributes.Dec 1 2014, 3:43 PM
Amire80 set Security to None.

A useful feature introduced several weeks shows a table of item titles and descriptions in the user's languages above the sitelinks and the statements and allows editing them.

Still current?

Lydia_Pintscher closed this task as Resolved.Aug 7 2015, 4:28 PM
Lydia_Pintscher claimed this task.

Closing as resolved for lack of feedback.

According to $( '.wikibase-entitytermsview-entitytermsforlanguagelistview [lang]' ), only ul.wikibase-aliasesview-list have lang and dir set correctly.